org.eclipse.net4j.util.event

## Class Event

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event

- All Implemented Interfaces:
    Serializable, IEvent
  Direct Known Subclasses:
    ContainerEvent, LifecycleEvent, NotifyingMonitor.ProgressEvent, OptionsEvent, SashComposite.OrientationChangedEvent, SingleDeltaContainerEvent, ThrowableEvent, ValueEvent

      public class Event
      extends EventObject
      implements IEvent

  A default implementation of an `event`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event(INotifier notifier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `formatAdditionalParameters()`
    `protected String` | `formatEventName()`
    `INotifier` | `getSource()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event(INotifier notifier)

  - ### Method Detail

    - #### getSource

          public INotifier getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `EventObject`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`

    - #### formatEventName

          protected String formatEventName()

      Since:
        3.7

    - #### formatAdditionalParameters

          protected String formatAdditionalParameters()

      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html